From ca8d6940bce6aa657f28ec4fb6316ba430dea334 Mon Sep 17 00:00:00 2001
From: Jelle van der Waa <jelle@vdwaa.nl>
Date: Sun, 3 Dec 2017 22:18:55 +0100
Subject: [PATCH] =?UTF-8?q?utils:=20Fix=20error:=20`keys=E2=80=99=20define?=
 =?UTF-8?q?d=20but=20not=20used?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Fix error: ‘keys’ defined but not used [-Werror=unused-const-variable=]
by informing GCC keys is unused.

Signed-off-by: Jelle van der Waa <jelle@vdwaa.nl>
---
 utils/key2pub.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/utils/key2pub.py b/utils/key2pub.py
index 3e84cd2..9bb04cd 100755
--- a/utils/key2pub.py
+++ b/utils/key2pub.py
@@ -115,7 +115,7 @@ struct key_params {
 	.n = _n, .len_n = sizeof(_n),	\
 }
 
-static const struct key_params keys[] = {
+static const struct key_params __attribute__ ((unused)) keys[] = {
 ''')
     for n in xrange(n + 1):
         output.write('	KEYS(e_%d, n_%d),\n' % (n, n))
-- 
2.15.1

